Skip to main content
GET
/
emails
/
{emailId}
/
deliveries
Get delivery attempts
curl --request GET \
  --url https://api.arkhq.io/v1/emails/{emailId}/deliveries \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "aBc123XyZ",
    "tenantId": "cm6abc123def456",
    "status": "softfail",
    "retryState": {
      "attempt": 3,
      "maxAttempts": 18,
      "attemptsRemaining": 15,
      "nextRetryAt": 1705903200,
      "nextRetryAtIso": "2024-01-22T11:00:00Z",
      "processing": false,
      "manual": false
    },
    "canRetryManually": true,
    "deliveries": [
      {
        "id": "789",
        "status": "softfail",
        "details": "421 temporarily unavailable: Delivery to user@example.com failed at 1.2.3.4:25 (mx.example.com)",
        "output": "421 4.7.0 Try again later",
        "code": 421,
        "sentWithSsl": true,
        "timestamp": 1705900000,
        "timestampIso": "2024-01-22T10:00:00Z",
        "classification": "temporarily_unavailable",
        "classificationCode": 42,
        "smtpEnhancedCode": "4.7.0",
        "remoteHost": "mx.example.com"
      }
    ]
  },
  "meta": {
    "requestId": "req_V1StGXR8_Z5jdHi6"
  }
}

Authorizations

Authorization
string
header
required

Use your API key from arkhq.io/org/credentials

Authorization: Bearer YOUR_API_KEY

Path Parameters

emailId
string
required

Email identifier (the token returned when sending an email).

Response

Delivery history with retry state

success
boolean
required
data
object
required
meta
object
required